prometheus-postgres-exporter(1)

 ""

NAME
prometheus-postgres-exporter - Prometheus exporter for PostgreSQL

SYNOPSIS

prometheus-postgres-exporter [<flags>]

DESCRIPTION

OPTIONS

--help
    Show context-sensitive help (also try --help-long and --help-man).

--web.listen-address
    Address to listen on for web interface and telemetry.

--web.telemetry-path
    Path under which to expose metrics.

--disable-default-metrics
    Do not include default metrics.

--disable-settings-metrics
    Do not include pg_settings metrics.

--auto-discover-databases
    Whether to discover the databases on a server dynamically.

--extend.query-path
    Path to custom queries to run.

--dumpmaps
    Do not run, simply dump the maps.

--constantLabels
    A list of label=value separated by comma(,).

--exclude-databases
    A list of databases to remove when autoDiscoverDatabases is enabled

--version
    Show application version.

--log.level
    Only log messages with the given severity or above. Valid levels: [debug, info, warn, error, fatal]

--log.format
    Set the log target and format. Example: "logger:syslog?appname=bob&local=7" or "logger:stdout?json=true"